Ubuntu 15.10 Is Coming This Week & AMD's Catalyst Chokes On Its Kernel
Written by Michael Larabel in AMD on 19 October 2015 at 11:20 AM EDT. 65 Comments
AMD --
Ubuntu 15.10 is set to be released on Thursday, but those dependent upon the AMD Catalyst proprietary graphics driver for Linux gaming or the like might want to hold off on upgrading... While there is the latest Catalyst driver packaged and it's been patched to work against the Wily Werewolf's default Linux 4.2 kernel, it doesn't seem to work reliably.

As mentioned in some other articles, I've recently been working on some fresh Ubuntu 15.10 graphics benchmarks (including an Ubuntu 15.04) comparison. Now having completed some open-source AMD tests that will be published soon, I then turned to running some AMD Catalyst benchmarks; well, trying to at least.

Back in August I wrote about Ubuntu 15.10's fglrx package being patched for Linux 4.2 so I had assumed it was working well on the default kernel a few days prior to the official Wily Werewolf launch. Besides, the Linux 4.2 kernel has been out for a while now and the official Linux 4.3 release is right around the corner.

From using the stock Linux 4.2.0-16-generic x86_64 kernel on a clean Ubuntu 15.10 install, I thought at first it would just be the usual sudo apt-get install fglrx or sudo apt-get install fglrx-updates to get the accelerated graphics on the proprietary driver working, but while the fglrx kernel module will build fine, it doesn't run fine.


When booting the system with Wily's fglrx driver enabled, there was just a black screen. When remotely connecting to the system and checking out the dmesg, the fglrx blob was choking on the Linux 4.2 kernel. A bit of searching then confirmed that getting Catalyst to work on Ubuntu 15.10 is still a widespread issue with the bug reports on Launchpad, cchtml, etc. This Ubuntu Wily fglrx driver is the latest publicly available Catalyst 15.9 driver plus with kernel patches applied for the Linux 4.0, 4.1, and 4.2 kernels, per the change-log.

The workaround for getting Catalyst working on Ubuntu 15.10 is to downgrade the kernel to Linux 4.1 or below. Or sticking to the open-source AMD driver, assuming you don't run into problems there either. Or just avoid upgrading to Ubuntu 15.10 until AMD releases a new Catalyst Linux driver release that fully supports through Linux 4.2.

About The Author
Author picture

Michael Larabel is the principal author of Phoronix.com and founded the site in 2004 with a focus on enriching the Linux hardware experience. Michael has written more than 10,000 articles covering the state of Linux hardware support, Linux performance, graphics drivers, and other topics. Michael is also the lead developer of the Phoronix Test Suite, Phoromatic, and OpenBenchmarking.org automated benchmarking software. He can be followed via Twitter or contacted via MichaelLarabel.com.

Related AMD News
Popular News